Bug 241766 - print/latex-beamer: update to 3.57 and unbreak
Summary: print/latex-beamer: update to 3.57 and unbreak
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Christoph Moench-Tegeder
URL: https://github.com/josephwright/beame...
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2019-11-06 20:02 UTC by Christoph Moench-Tegeder
Modified: 2019-12-16 13:17 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (hrs)


Attachments
update beamer to 3.57 (14.05 KB, patch)
2019-11-06 20:02 UTC, Christoph Moench-Tegeder
no flags Details | Diff
update latex-beamer to 3.57 and unbreak (14.09 KB, patch)
2019-11-25 19:11 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2019-11-06 20:02:01 UTC
Created attachment 208922 [details]
update beamer to 3.57

Our latex-beamer package is lagging behind (nearly three years), and the old upstream at bitbucket vanished recently.
Attached updates latex-beamer to 3.57 and has the package point to the new upstream location at github. Unfortunately, our tex packages are too old, we cannot use the l3build script - so we have to install everything by hand.
Package passes poudriere, and beamer still processes my slides (which are rather simple, but that's about all I have).
Comment 1 John W. O'Brien 2019-11-16 22:57:01 UTC
Thank you for working on this.

portlint wants DISTVERSIONPREFIX above CATEGORIES, and the addition of LICENSE:

LICENSE= GPLv2 LPPL13c
LICENSE_COMB= dual

We can also remove USES=tar:bz2 because GitHub supplies a tar.gz (see distinfo).
Comment 2 Christoph Moench-Tegeder freebsd_committer 2019-11-25 19:11:52 UTC
Created attachment 209419 [details]
update latex-beamer to 3.57 and unbreak

reordered Makefile, removed unuses USES tar:bz2 and added LICENSE
Comment 3 Christoph Moench-Tegeder freebsd_committer 2019-11-25 19:14:03 UTC
(In reply to John W. O'Brien from comment #1)

I hope you're sure about the licenses - I'm not, I think the licensing situation on the latex related stuff is slightly confusing.
Comment 4 John W. O'Brien 2019-11-25 20:04:05 UTC
(In reply to Christoph Moench-Tegeder from comment #3)

I could be missing something, but LICENSE.md [0] seems reasonably clear. The code is under a dual license, GNU Public License 2 or later, or LaTeX Project Public License 1.3c or later.

It's a little less clear how to handle the docs, but my thinking is that a) LPPL 1.3c or later is one of the options; b) the port variables are informative, not normative; and c) while perhaps not perfect, this is still an improvement over specifying no license.


[0] https://github.com/josephwright/beamer/blob/v3.57/LICENSE.md
Comment 5 commit-hook freebsd_committer 2019-12-16 13:16:15 UTC
A commit references this bug:

Author: cmt
Date: Mon Dec 16 13:16:08 UTC 2019
New revision: 520255
URL: https://svnweb.freebsd.org/changeset/ports/520255

Log:
  print/latex-beamer: update to 3.57 and unbreak

  latex-beamer is now hosted at github.

  PR:		241766
  Approved by:	maintainer-timeout (hrs)

Changes:
  head/print/latex-beamer/Makefile
  head/print/latex-beamer/distinfo
  head/print/latex-beamer/pkg-descr
  head/print/latex-beamer/pkg-plist
Comment 6 Christoph Moench-Tegeder freebsd_committer 2019-12-16 13:17:58 UTC
committed as ports r520255